Subject: Re: MVME3100 and linux-2.6.10

From: Thomas Feller <[email-masked]>
Date: Fri, 26 Jan 2007 20:31:16 +0100

vittorio barulli wrote:
> I have a PowerPc Motorola, I install on it a kernel image (2.6.10) that
> use a ramdisk as root filesystem.
> The original version issued with kernel 2.6.10 is working even if I
> recompile it.
>
> Now I want to modify the original ramdisk to insert some file that I
> need. If I insert in the ramdisk some little file the kernel continue
> to start, but if i insert a great file (4 Mb) the kernel don't boot.
> the result on video is:
>
> loaded at:     01864400 0253356C
> relocated to:  00400000 010CF16C
> board data at: 010CD124 010CD16C
> relocated to:  00405238 00405280
> zimage at:     00405A05 005BA5C2
> initrd at:     005BB000 010CC420
> avail ram:     010D0000 AACC8A8B
>   
The last line here looks wrong. It should be someting like 10000000 (256
MB) or 20000000 (512 MB). Not AACC8A8B which is ~ 2732,783 MB.
I've noticed that this only works right with gcc < 4.1. It seemed like
they did change some things in ld.
> Linux/PPC load: console=ttyS0,9600 root=/dev/ram0 ramdisk_size=64000
> ramdisk_blocksize=1024
> Uncompressing Linux...done.
> Now booting the kernel
>   
That is where my kernel stops to boot too!!!
Is there someone out there who can tell us, what we did wrong?

Regards,
    Thomas